## baloo-kf5 5.0.0b

=== po/CMakeLists.txt ===
# The pofiles macro creates in some versions same name targets
# which since cmake 2.8 leads to target clashes.
# Hence force the old policy for all po directories.
# http://public.kitware.com/Bug/view.php?id=12952
cmake_policy(SET CMP0002 OLD)

find_package(Gettext REQUIRED)
if (NOT GETTEXT_MSGMERGE_EXECUTABLE)
MESSAGE(FATAL_ERROR "Please install msgmerge binary")
endif (NOT GETTEXT_MSGMERGE_EXECUTABLE)
if (NOT GETTEXT_MSGFMT_EXECUTABLE)
MESSAGE(FATAL_ERROR "Please install msgmerge binary")
endif (NOT GETTEXT_MSGFMT_EXECUTABLE)
add_subdirectory(it)
add_subdirectory(sr@ijekavianlatin)
add_subdirectory(lt)
add_subdirectory(sl)
add_subdirectory(pt)
add_subdirectory(el)
add_subdirectory(ca)
add_subdirectory(pt_BR)
add_subdirectory(nb)
add_subdirectory(gl)
add_subdirectory(nds)
add_subdirectory(zh_CN)
add_subdirectory(bs)
add_subdirectory(sr@latin)
add_subdirectory(nn)
add_subdirectory(ru)
add_subdirectory(ko)
add_subdirectory(pl)
add_subdirectory(uk)
add_subdirectory(hu)
add_subdirectory(cs)
add_subdirectory(ja)
add_subdirectory(sk)
add_subdirectory(nl)
add_subdirectory(fi)
add_subdirectory(sr@ijekavian)
add_subdirectory(sr)
add_subdirectory(en_GB)
add_subdirectory(pa)
add_subdirectory(da)
add_subdirectory(sv)
add_subdirectory(ca@valencia)
add_subdirectory(es)
add_subdirectory(fr)
add_subdirectory(eu)
add_subdirectory(ia)
add_subdirectory(de)
add_subdirectory(bg)
add_subdirectory(ar)
add_subdirectory(zh_TW)

=== debian/changelog ===
baloo-kf5 (5.0.0b-0ubuntu1) utopic; urgency=medium

  [ Jonathan Riddell ]
  * New upstream release
  * Remove epoch that had slipped in
  * Initial upload to Ubuntu

  [ Scarlett Clark ]
  * New upstream tarball
  * New upstream tarball include locale files
  * Add Replaces: for libkf5baloocore, libkf5baloofiles libkf5balooxapian
    to resolve install conflict.
  * Update watch to http://download.kde.org

  [ José Manuel Santamaría Lema ]
  * Update libraries install paths so a soname change won't go
    unnoticed.

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 10 Jul 2014 21:13:07 +0200

baloo-kf5 (4:4.98.0-0ubuntu1) utopic; urgency=medium

  [ Jonathan Riddell ]
  * New upstream RC release
  * Upstream renamed tar to baloo
  * Allow for co-installability with baloo (kdelibs4)
   - Provide baloo virtual package
   - rename souce to baloo-kf5

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 07 Jul 2014 14:33:04 +0200

baloo5 (4:4.97.0~git20140616-0ubuntu1) utopic; urgency=medium

  [ Jonathan Riddell ]
  * Initial release.

  [ Scarlett Clark ]
  * Rename baloo-kf5 to resolve kde4 conflict
  * added missing depends
  * split out libs and data files
  * added install files
  * wrap-and-sort
  * add missing depend
  * Add baloo-kf5 depend to -dev
  * Grab git snapshot to resolve cmake patch issue.
  * break/replace old version
  * more break replace

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Tue, 17 Jun 2014 09:01:57 -0700

=== debian/control ===
Source: baloo-kf5
Priority: extra
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Scarlett Clark <scarlett@scarlettgatelyclark.com>
Build-Depends: cmake,
               dbus-x11,
               debhelper (>= 9.0.0),
               extra-cmake-modules (>= 1.0.0),
               libkf5idletime-dev (>= 5.0.0),
               libkf5kcmutils-dev (>= 5.0.0),
               libkf5kdelibs4support-dev (>= 5.0.0),
               libkf5runner-dev (>= 5.0.0),
               libkf5filemetadata1-dev (>= 5.0.0),
               libxapian-dev,
               pkg-kde-tools,
               plasma-framework-dev (>= 5.0.0),
               qtbase5-dev
Standards-Version: 3.9.5
Section: kde
Homepage: https://projects.kde.org/projects/kde/kdelibs/baloo
Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging-next/baloo
Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging-next/baloo

Package: baloo-kf5-dev
Section: devel
Architecture: any
Depends: baloo-kf5 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Conflicts: baloo-dev
Description: framework for searching and managing metadata devel files
 A framework for searching and managing metadata in KDE Software.
 .
 Baloo is part of the KDE Plasma desktop.
 .
 This package contains the development files.

Package: baloo-kf5
Section: utils
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Conflicts: baloo, baloo-kf5 (<= 4:4.97.0-0ubuntu1~ubuntu14.10~ppa5)
Replaces: baloo-kf5 (<= 4:4.97.0-0ubuntu1~ubuntu14.10~ppa5)
Provides: baloo
Description: framework for searching and managing metadata
 A framework for searching and managing metadata in KDE Software.
 .
 Baloo is part of the KDE Plasma desktop.

Package: libkf5baloocore1
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Replaces: libkf5baloocore5
Description: framework for searching and managing metadata core lib.
 A framework for searching and managing metadata in KDE Software.
 .
 Baloo is part of the KDE Plasma desktop.

Package: libkf5baloofiles1
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Replaces: libkf5baloofiles5
Description: framework for searching and managing metadata plugins
 A framework for searching and managing metadata in KDE Software.
 .
 Baloo is part of the KDE Plasma desktop.

Package: libkf5balooxapian1
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Replaces: libkf5balooxapian5
Description: framework for searching and managing metadata plugins
 A framework for searching and managing metadata in KDE Software.
 .
 Baloo is part of the KDE Plasma desktop.

Package: baloo-kf5-dbg
Section: debug
Architecture: any
Recommends: qtbase5-dbg
Depends: baloo-kf5 (= ${binary:Version}), ${misc:Depends}
Description: framework for searching and managing metadata
 A framework for searching and managing metadata in KDE Software.
 .
 Baloo is part of the KDE Plasma desktop.
 .
 This package contains the debugging symbols.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/pkg-kde-tools/qt-kde-team/2/debian-qt-kde.mk

override_dh_strip:
	$(overridden_command) --dbg-package=baloo-kf5-dbg

override_dh_auto_test:
	PYBUILD_TEST_ARGS="export `dbus-launch`"\
	dh_auto_test

=== debian/watch ===
version=3
http://download.kde.org/unstable/plasma/([\d\.]+)/src/baloo5-(.*)\.tar\.xz

http://download.kde.org/stable/plasma/([\d\.]+)/baloo5-(.*)\.tar\.xz

## baloo-kf5 5.6.2

=== debian/changelog ===
baloo-kf5 (5.6.2-0ubuntu4) vivid; urgency=medium

  * Fix baloo-kf5 replaces/conflicts baloo versions

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 26 Mar 2015 15:42:24 +0100

baloo-kf5 (5.6.2-0ubuntu3) vivid; urgency=medium

  * Fix baloo to depend on baloo-kf5 without epoch

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 25 Mar 2015 23:37:42 +0100

baloo-kf5 (5.6.2-0ubuntu2) vivid; urgency=medium

  * Add transitional baloo package with 4: epoch
  * Remove baloo provides

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 25 Mar 2015 21:27:57 +0100

baloo-kf5 (5.6.2-0ubuntu1) vivid; urgency=medium

  * New upstream release
  * Release to Archive
 
 -- Scarlett Clark <sgclark@kubuntu.org>  Thu, 19 Mar 2015 20:54:03 -0700

baloo-kf5 (5.6.1-0ubuntu1) vivid; urgency=medium

  *  New upstream release
  * Bump kfilemetadata version so hopefully armhf will find it. 

 -- Scarlett Clark <sgclark@kubuntu.org>  Mon, 23 Feb 2015 09:52:31 -0800

baloo-kf5 (5.6.0-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Harald Sitter <sitter@kde.org>  Mon, 26 Jan 2015 13:59:33 +0100

baloo-kf5 (5.5.95-0ubuntu1) vivid; urgency=medium

  * New upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 14 Jan 2015 13:49:10 +0100

baloo-kf5 (5.1.1-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Mon, 10 Nov 2014 19:37:40 +0100

baloo-kf5 (5.1.0.1-0ubuntu4) vivid; urgency=medium

  [ Harald Sitter ]
  * Lintian override missing manpage warnings (we don't care)

  [ Jonathan Riddell ]
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 06 Nov 2014 15:24:27 +0100

baloo-kf5 (5.0.2-0ubuntu1) utopic; urgency=medium

  * New upstream release
  * Bump version depends.
  * Update renamed dependency kfilemetadata-dev
  * Fix version.

 -- Scarlett Clark <sgclark@kubuntu.org>  Thu, 18 Sep 2014 06:38:18 -0700

baloo-kf5 (5.0.1b-0ubuntu1) UNRELEASED; urgency=medium

  [ Jonathan Riddell ]
  * New upstream bugfix release

  [ Harald Sitter ]
  * Wrap and sort
  * Move to new pkg-kde-tools
  * baloo-kf5-dev depends on libkf5filemetadata1-dev (as seen in its
    CMakeConfig)

 -- Jonathan Riddell <jriddell@ubuntu.com>  Sun, 10 Aug 2014 16:53:31 +0200

=== debian/control ===
Source: baloo-kf5
Priority: extra
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Build-Depends: cmake,
               dbus-x11,
               debhelper (>= 9.0.0),
               extra-cmake-modules (>= 1.3.0~),
               libkf5filemetadata-dev (>= 5.6.0),
               libkf5idletime-dev (>= 5.2.0),
               libkf5kcmutils-dev (>= 5.2.0),
               libkf5kdelibs4support-dev (>= 5.2.0),
               libkf5runner-dev (>= 5.2.0),
               libxapian-dev,
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               plasma-framework-dev (>= 5.2.0),
               qtbase5-dev,
               qtdeclarative5-dev
Standards-Version: 3.9.5
Section: kde
Homepage: https://projects.kde.org/projects/kde/kdelibs/baloo
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/plasma/baloo.git
Vcs-Git: git://anonscm.debian.org/pkg-kde/plasma/baloo.git

Package: baloo-kf5-dev
Section: devel
Architecture: any
Depends: baloo-kf5 (= ${binary:Version}),
         libkf5baloo1 (= ${binary:Version}),
         libkf5balooxapian1 (= ${binary:Version}),
         libkf5filemetadata-dev,
         libxapian-dev,
         ${misc:Depends},
         ${shlibs:Depends}
Conflicts: baloo-dev
Description: framework for searching and managing metadata devel files
 A framework for searching and managing metadata in KDE Software.
 .
 Baloo is part of the KDE Plasma desktop.
 .
 This package contains the development files.

Package: baloo-kf5
Section: utils
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Conflicts: baloo (<< 4:5.0)
Replaces: baloo (<< 4:5.0)
Description: framework for searching and managing metadata
 A framework for searching and managing metadata in KDE Software.
 .
 Baloo is part of the KDE Plasma desktop.

Package: libkf5baloo1
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: framework for searching and managing metadata core lib.
 A framework for searching and managing metadata in KDE Software.
 .
 Baloo is part of the KDE Plasma desktop.

Package: libkf5balooxapian1
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Replaces: libkf5balooxapian5
Description: framework for searching and managing metadata plugins
 A framework for searching and managing metadata in KDE Software.
 .
 Baloo is part of the KDE Plasma desktop.

Package: baloo-kf5-dbg
Section: debug
Architecture: any
Recommends: qtbase5-dbg
Depends: baloo-kf5 (= ${binary:Version}), ${misc:Depends}
Description: framework for searching and managing metadata
 A framework for searching and managing metadata in KDE Software.
 .
 Baloo is part of the KDE Plasma desktop.
 .
 This package contains the debugging symbols.

Package: baloo
Priority: extra
Section: oldlibs
Architecture: any
Depends: baloo-kf5 (= ${source:Version}), ${misc:Depends}
Description: transitional package for baloo
 A framework for searching and managing metadata in KDE Software.
 .
 Baloo is part of the KDE Plasma desktop.
 .
 This package can be safely removed.

=== debian/watch ===
version=3
http://download.kde.org/unstable/plasma/([\d\.]+)/baloo-(.*)\.tar\.xz

http://download.kde.org/stable/plasma/([\d\.]+)/baloo-(.*)\.tar\.xz

## baloo-kf5 5.15.0a

=== debian/changelog ===
baloo-kf5 (5.15.0a-0ubuntu1) wily; urgency=medium

  * New upstream tar

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 12 Oct 2015 11:25:33 +0100

baloo-kf5 (5.15.0-0ubuntu1) wily; urgency=medium

  [ Scarlett Clark ]
  * Vivid backport.
  * Remove upstream_add_error_checking_in_various_bits_so_that_baloo_doesnt_crash.diff
    applied upstream. 
  * Remove upstream_fail_baloo_file_load_if_the_database_is_not_open.diff applied
    upstream. 

  [ Jonathan Riddell ]
  * new upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 07 Oct 2015 13:41:05 +0100

baloo-kf5 (5.14.0-0ubuntu3) wily; urgency=medium

  * Add
    upstream_add_error_checking_in_various_bits_so_that_baloo_doesnt_crash.diff
    for better reliabiltiy
  * Add upstream_fail_baloo_file_load_if_the_database_is_not_open.diff
    to fix a dolphin crash when selection multiple files

 -- Philip Muškovac <yofel@kubuntu.org>  Sat, 26 Sep 2015 17:34:57 +0200

baloo-kf5 (5.14.0-0ubuntu2) wily; urgency=medium

  * Remove balloengine from baloo-kf5-dev.acc.in, dev symlink no longer
    installed

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 24 Sep 2015 17:58:15 +0100

baloo-kf5 (5.14.0-0ubuntu1) wily; urgency=medium

  * new upstream release
  * Update install files

 -- Clive Johnston <clivejo@aol.com>  Thu, 17 Sep 2015 13:03:10 +0100

baloo-kf5 (5.13.0-0ubuntu2) wily; urgency=medium

  * Fix libraries in acc input file to hopefully make autopkgtests pass again.

 -- Iain Lane <iain@orangesquash.org.uk>  Thu, 13 Aug 2015 12:22:25 +0100

baloo-kf5 (5.13.0-0ubuntu1) wily; urgency=medium

  * new upstream release
  * Add build-dep on liblmdb-dev

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 10 Aug 2015 12:46:04 +0200

baloo-kf5 (5.9.3-0ubuntu1) UNRELEASED; urgency=medium

  * New upstream release.
  * wrap-and-sort.
  * Fix version

 -- Scarlett Clark <sgclark@kubuntu.org>  Thu, 02 Jul 2015 12:34:31 -0700

baloo-kf5 (5.9.2-0ubuntu2) wily; urgency=medium

  * Update symbols files: add a couple of optional symbols after building with
    GCC 5

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Wed, 22 Jul 2015 21:50:57 +0200

baloo-kf5 (5.9.2-0ubuntu1) wily; urgency=medium

  [ Jonathan Riddell ]
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 02 Jul 2015 12:25:29 +0000

baloo-kf5 (5.9.2-1) unstable; urgency=medium

  * New upstream release (5.9.2).
  * Update copyright information.

 -- Maximiliano Curia <maxy@debian.org>  Wed, 01 Jul 2015 09:23:52 +0200

baloo-kf5 (5.9.1-0ubuntu1) wily; urgency=medium

  * New upstream release

  [ Harald Sitter ]
  * Fix baloo -> baloo-kf5 transitional dependency requirement to >= rather
    than as = cannot be met by the source:Upstream-Version substvar

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 23 Apr 2015 18:12:09 +0200

baloo-kf5 (5.9.1-1~) UNRELEASED; urgency=medium

  * New upstream release (5.9.0).
  * New upstream release (5.9.1).

 -- Maximiliano Curia <maxy@debian.org>  Fri, 05 Jun 2015 11:54:43 +0200

baloo-kf5 (5.6.2-1) experimental; urgency=medium

  [ Scarlett Clark ]
  * New upstream release
  * Bump version depends.
  * Update renamed dependency kfilemetadata-dev
  * Fix version.

  [ Maximiliano Curia ]
  * Prepare Debian release. (5.6.1-1)
  * New upstream release (5.6.2).

 -- Maximiliano Curia <maxy@debian.org>  Wed, 25 Mar 2015 23:17:29 +0100

baloo-kf5 (5.6.0-1) experimental; urgency=medium

  * Prepare initial Debian release.
  * Update install files.
  * Bump Standards-Version to 3.9.6, no changes needed.
  * Update build dependencies to build against experimental and to
    follow cmake.
  * Add myself as Uploader.
  * Update copyright information.
  * Update watch file.
  * Add basic autopkgtests support.
  * Add missing dev dependency (thanks to acc headers check)

 -- Maximiliano Curia <maxy@debian.org>  Sat, 07 Feb 2015 18:39:29 +0100

=== debian/control ===
Source: baloo-kf5
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12),
               dbus-x11,
               debhelper (>= 9),
               extra-cmake-modules (>= 5.15.0~),
               kinit-dev (>= 5.15.0~),
               kio-dev (>= 5.15.0~),
               libkf5auth-dev (>= 5.15.0~),
               libkf5config-dev (>= 5.15.0~),
               libkf5crash-dev (>= 5.15.0~),
               libkf5dbusaddons-dev (>= 5.15.0~),
               libkf5filemetadata-dev (>= 5.9.0~),
               libkf5filemetadata-dev (>= 5.9.2),
               libkf5i18n-dev (>= 5.15.0~),
               libkf5idletime-dev (>= 5.15.0~),
               libkf5kcmutils-dev (>= 5.15.0~),
               libkf5kdelibs4support-dev (>= 5.15.0~),
               libkf5runner-dev (>= 5.15.0~),
               libkf5solid-dev (>= 5.15.0~),
               liblmdb-dev,
               libxapian-dev,
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               plasma-framework-dev (>= 5.15.0~),
               qtbase5-dev (>= 5.4),
               qtdeclarative5-dev (>= 5.4)
Standards-Version: 3.9.6
XS-Testsuite: autopkgtest
Homepage: https://projects.kde.org/projects/frameworks/baloo
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/frameworks/baloo.git
Vcs-Git: git://anonscm.debian.org/pkg-kde/frameworks/baloo.git

Package: baloo-kf5-dev
Section: devel
Architecture: any
Depends: baloo-kf5 (= ${binary:Version}),
         libkf5baloo5 (= ${binary:Version}),
         libkf5balooengine5 (= ${binary:Version}),
         libkf5coreaddons-dev,
         libkf5filemetadata-dev (>= 5.9.2~),
         ${misc:Depends},
         ${shlibs:Depends}
Conflicts: baloo-dev
Description: framework for searching and managing metadata devel files
 A framework for searching and managing metadata in KDE Software.
 .
 Baloo is part of the KDE Plasma desktop.
 .
 This package contains the development files.

Package: libkf5balooengine5
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: libkf5balooengine2 (<< 5.9.3+git20150805)
Replaces: libkf5balooengine2 (<< 5.9.3+git20150805)
Description: framework for searching and managing metadata plugins
 A framework for searching and managing metadata in KDE Software.
 .
 Baloo is part of the KDE Plasma desktop.

Package: baloo-kf5
Section: utils
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Conflicts: baloo (<< 4:5.0)
Replaces: baloo (<< 4:5.0)
Description: framework for searching and managing metadata
 A framework for searching and managing metadata in KDE Software.
 .
 Baloo is part of the KDE Plasma desktop.

Package: libkf5baloo5
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: libkf5baloo2 (<< 5.9.3+git20150805)
Replaces: libkf5baloo2 (<< 5.9.3+git20150805)
Description: framework for searching and managing metadata core lib.
 A framework for searching and managing metadata in KDE Software.
 .
 Baloo is part of the KDE Plasma desktop.

Package: baloo-kf5-dbg
Section: debug
Priority: extra
Architecture: any
Recommends: qtbase5-dbg
Depends: baloo-kf5 (= ${binary:Version}), ${misc:Depends}
Description: framework for searching and managing metadata
 A framework for searching and managing metadata in KDE Software.
 .
 Baloo is part of the KDE Plasma desktop.
 .
 This package contains the debugging symbols.

Package: baloo
Section: oldlibs
Priority: extra
Architecture: any
Depends: baloo-kf5 (>= ${source:Upstream-Version}), ${misc:Depends}
Description: transitional package for baloo
 A framework for searching and managing metadata in KDE Software.
 .
 Baloo is part of the KDE Plasma desktop.
 .
 This package can be safely removed.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk

override_dh_strip:
	$(overridden_command) --dbg-package=baloo-kf5-dbg

override_dh_auto_test:
	PYBUILD_TEST_ARGS="export `dbus-launch`"\
	dh_auto_test

BINARY_VERSION_NO_EPOCH := $(shell dpkg-parsechangelog | grep '^Version: ' | sed 's/^Version: \(\([[:digit:]]\+\):\)\?/\2/')

override_dh_gencontrol:
	dh_gencontrol -pbaloo -- '-v4:$(BINARY_VERSION_NO_EPOCH)'
	dh_gencontrol --remaining-packages

## baloo-kf5 5.18.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.12)

project(Baloo)

include(FeatureSummary)
find_package(ECM 5.18.0 REQUIRED NO_MODULE)
set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://projects.kde.org/projects/kdesupport/extra-cmake-modules")
feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)

set(CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake" ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR})

include(GenerateExportHeader)
include(ECMGenerateHeaders)
include(ECMPackageConfigHelpers)
include(ECMSetupVersion)
include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDEFrameworkCompilerSettings)
include(ECMInstallIcons)
include(ECMAddTests)

set(KF5_VERSION "5.18.0") # handled by release scripts
set(KF5_DEP_VERSION "5.18.0") # handled by release scripts

ecm_setup_version(${KF5_VERSION} VARIABLE_PREFIX BALOO
                        VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/baloo_version.h"
                        PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF5BalooConfigVersion.cmake"
                        SOVERSION 5
)

# Build dependencies
set(REQUIRED_QT_VERSION 5.3.0)
find_package(Qt5 ${REQUIRED_QT_VERSION} REQUIRED NO_MODULE COMPONENTS Core DBus Widgets Qml Quick Test)

find_package(KF5 ${KF5_DEP_VERSION} REQUIRED COMPONENTS CoreAddons Config DBusAddons I18n IdleTime Solid FileMetaData Crash KIO)

find_package(LMDB)
set_package_properties(LMDB PROPERTIES
    DESCRIPTION "Lightning Memory-Mapped Database (LMDB)"
    URL "http://symas.com/mdb"
    TYPE REQUIRED
)

# Compiler flags
add_definitions(-DQT_NO_KEYWORDS)
remove_definitions(-DQT_NO_CAST_FROM_ASCII)

set(BUILD_KINOTIFY False)
if(CMAKE_SYSTEM_NAME MATCHES "Linux")
    set(BUILD_KINOTIFY True)
endif()

include_directories(
  ${LMDB_INCLUDE_DIR}
  ${CMAKE_SOURCE_DIR}
  ${CMAKE_SOURCE_DIR}/src/lib
  ${CMAKE_BINARY_DIR}/src/lib
  ${CMAKE_SOURCE_DIR}/src/codecs
  ${CMAKE_BINARY_DIR}/src/engine
  ${CMAKE_SOURCE_DIR}/src/engine
  ${CMAKE_BINARY_DIR}/src/file
  ${CMAKE_SOURCE_DIR}/src/file
  ${CMAKE_BINARY_DIR}/src/dbus
)

# Targets
add_subdirectory(src)
add_subdirectory(icons)

if (${BUILD_KINOTIFY})
    add_subdirectory(tests)
    add_subdirectory(autotests)
endif()

if (IS_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}/po")
   ki18n_install(po)
endif()

# Config files
set(CMAKECONFIG_INSTALL_DIR "${CMAKECONFIG_INSTALL_PREFIX}/KF5Baloo")

ecm_configure_package_config_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/KF5BalooConfig.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/KF5BalooConfig.cmake"
    PATH_VARS KDE_INSTALL_DBUSINTERFACEDIR
    INSTALL_DESTINATION ${CMAKECONFIG_INSTALL_DIR}
)

install(FILES
    "${CMAKE_CURRENT_BINARY_DIR}/KF5BalooConfig.cmake"
    "${CMAKE_CURRENT_BINARY_DIR}/KF5BalooConfigVersion.cmake"
    DESTINATION ${CMAKECONFIG_INSTALL_DIR}
    COMPONENT devel
)

install(EXPORT KF5BalooTargets
        NAMESPACE KF5::
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        FILE KF5BalooTargets.cmake)

install(FILES
    "${CMAKE_CURRENT_BINARY_DIR}/baloo_version.h"
    DESTINATION ${KF5_INCLUDE_INSTALL_DIR}
    COMPONENT Devel
)

feature_summary(WHAT ALL
    INCLUDE_QUIET_PACKAGES
    FATAL_ON_MISSING_REQUIRED_PACKAGES
)

=== src/engine/CMakeLists.txt ===
set(BALOO_ENGINE_SRCS
    andpostingiterator.cpp
    database.cpp
    document.cpp
    documentdb.cpp
    documentdatadb.cpp
    documenturldb.cpp
    documenttimedb.cpp
    documentiddb.cpp
    enginequery.cpp
    idtreedb.cpp
    idfilenamedb.cpp
    mtimedb.cpp
    orpostingiterator.cpp
    phraseanditerator.cpp
    positiondb.cpp
    postingdb.cpp
    postingiterator.cpp
    queryparser.cpp
    termgenerator.cpp
    transaction.cpp
    vectorpostingiterator.cpp
    vectorpositioninfoiterator.cpp
    writetransaction.cpp
    global.cpp
    fsutils.cpp
)

add_library(KF5BalooEngine ${BALOO_ENGINE_SRCS})
add_library(KF5::BalooEngine ALIAS KF5BalooEngine)

target_link_libraries(KF5BalooEngine
    PUBLIC
    Qt5::Core
    KF5::CoreAddons
    ${LMDB_LIBRARIES}
    PRIVATE
    KF5BalooCodecs
)

set_target_properties(KF5BalooEngine PROPERTIES
    VERSION ${BALOO_VERSION_STRING}
    SOVERSION ${BALOO_SOVERSION}
    EXPORT_NAME BalooEngine
)
##target_include_directories(KF5BalooEngine INTERFACE "$<INSTALL_INTERFACE:${KF5_INCLUDE_INSTALL_DIR}/Baloo>")

generate_export_header(KF5BalooEngine BASE_NAME BALOO_ENGINE EXPORT_FILE_NAME engine_export.h)

install(TARGETS KF5BalooEngine EXPORT KF5BalooTargets ${KF5_INSTALL_TARGETS_DEFAULT_ARGS} LIBRARY NAMELINK_SKIP)

=== tests/engine/CMakeLists.txt ===
add_executable(writeiotest writeiotest.cpp)
target_link_libraries(writeiotest
    KF5::BalooEngine
)
ecm_mark_as_test(writeiotest)

add_executable(memorytest memorytest.cpp)
target_link_libraries(memorytest
    KF5::BalooEngine
)
ecm_mark_as_test(memorytest)

add_executable(documenturldb documenturldbtest.cpp)
target_link_libraries(documenturldb
    Qt5::Core
    KF5::BalooEngine
)
ecm_mark_as_test(documenturldb)

add_executable(basicindexingtest basicindexingtest.cpp)
target_link_libraries(basicindexingtest
    Qt5::Core
    KF5::BalooEngine
    KF5::FileMetaData
    baloofilecommon
)
ecm_mark_as_test(basicindexingtest)

=== autotests/unit/engine/CMakeLists.txt ===
MACRO(BALOO_ENGINE_AUTO_TESTS)
  FOREACH(_testname ${ARGN})
    ecm_add_test(${_testname}.cpp singledbtest.cpp
        TEST_NAME ${_testname}
        LINK_LIBRARIES Qt5::Test KF5::BalooEngine
    )
  ENDFOREACH()
ENDMACRO()

baloo_engine_auto_tests(
    positiondbtest
    postingdbtest
    documentdbtest
    documenturldbtest
    documentiddbtest
    documentdatadbtest
    documenttimedbtest
    idtreedbtest
    idfilenamedbtest
    mtimedbtest

    termgeneratortest
    queryparsertest

    # Query
    andpostingiteratortest
    orpostingiteratortest
    phraseanditeratortest
    transactiontest
)

=== src/kioslaves/tags/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"kio_tags\")

add_library(tags MODULE kio_tags.cpp)

target_link_libraries(tags
  KF5::KIOWidgets
  KF5::FileMetaData
  KF5::I18n
  KF5::Baloo
)

install(TARGETS tags DESTINATION ${PLUGIN_INSTALL_DIR}/kf5/kio)
install( FILES tags.protocol DESTINATION ${SERVICES_INSTALL_DIR})

=== src/file/extractor/autotests/CMakeLists.txt ===
set(EXTRACTOR_IO_TEST_SRCS
    iohandlertest.cpp
    ../iohandler.cpp
)

ecm_add_test(${EXTRACTOR_IO_TEST_SRCS}
    TEST_NAME "extractorIOTest"
    LINK_LIBRARIES Qt5::Core Qt5::Test
)

=== debian/changelog ===
baloo-kf5 (5.18.0-0ubuntu1.1) xenial-proposed; urgency=medium

  * SRU: LP: #1597427. Fix build failure.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 29 Jun 2016 18:18:13 +0200

baloo-kf5 (5.18.0-0ubuntu1) xenial; urgency=medium

  [ Scarlett Clark ]
  * Debian merge: No remaining changes. 
  * New upstream release Xenial

  [ Philip Muškovac ]
  * New upstream release

 -- Philip Muškovac <yofel@kubuntu.org>  Mon, 07 Mar 2016 23:16:59 +0100

baloo-kf5 (5.16.0-1) unstable; urgency=medium

  * New upstream release (5.16.0).
  * Update symbols files.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 30 Nov 2015 12:12:56 +0100

baloo-kf5 (5.15.0+-1) unstable; urgency=medium

  * Respin of the fixed upstream release 5.15.0).

 -- Maximiliano Curia <maxy@debian.org>  Tue, 13 Oct 2015 20:25:18 +0200

baloo-kf5 (5.15.0a-0ubuntu2) xenial; urgency=medium

  * Fix autopackagetests by adding allow-stderr to the requirements.

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 03 Nov 2015 15:34:28 +0100

baloo-kf5 (5.15.0-1) unstable; urgency=medium

  * New upstream release (5.15.0).
  * Drop upstream applied patches:
    Add_error_checking_in_various_bits_so_that_Baloo_doesnt_crash.diff
    Fail_Baloo_File_load_if_the_Database_is_not_open.diff
  * Update install files.
  * Update symbols files.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 12 Oct 2015 14:07:28 +0200

baloo-kf5 (5.15.0-0ubuntu2) UNRELEASED; urgency=medium

  * Vivid backport. 

 -- Scarlett Clark <sgclark@kubuntu.org>  Fri, 09 Oct 2015 03:10:01 +0000

baloo-kf5 (5.14.0-2) unstable; urgency=medium

  * Cherry-pick upstream commits to fix crashes. (Closes: #800061)
    - Add_error_checking_in_various_bits_so_that_Baloo_doesnt_crash.diff
    - Fail_Baloo_File_load_if_the_Database_is_not_open.diff

 -- Felix Geyer <fgeyer@debian.org>  Fri, 02 Oct 2015 23:50:56 +0200

baloo-kf5 (5.14.0-1) unstable; urgency=medium

  * New upstream release (5.14.0).
  * Update install files.

 -- Maximiliano Curia <maxy@debian.org>  Tue, 15 Sep 2015 13:50:03 +0200

baloo-kf5 (5.13.0-2) unstable; urgency=medium

  * Move auto test to autopkgtests.
  * Release to unstable.
  * Add missing Breaks/Replaces.

 -- Maximiliano Curia <maxy@debian.org>  Wed, 09 Sep 2015 09:19:34 +0200

baloo-kf5 (5.13.0-1) experimental; urgency=medium

  * New upstream release (5.13.0).
  * New patch: disable_failing_test

 -- Maximiliano Curia <maxy@debian.org>  Mon, 31 Aug 2015 23:58:56 +0200

baloo-kf5 (5.9.2-3) unstable; urgency=medium

  * Team upload.
  * Change baloo transitional package from arch any to arch all
  * Baloo-kf5 Breaks vice Conflicts baloo

 -- Scott Kitterman <scott@kitterman.com>  Tue, 14 Jul 2015 11:37:49 -0400

baloo-kf5 (5.9.2-2) unstable; urgency=medium

  * Add the missing Breaks/Replaces. (Closes: #789166)

 -- Maximiliano Curia <maxy@debian.org>  Fri, 03 Jul 2015 14:07:50 +0200

baloo (4:4.14.2-2) unstable; urgency=medium

  * Update symbols files. (Closes: #777792)
  * Drop transitional package present in the kf5 version.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 07 Aug 2015 11:54:39 +0200

baloo (4:4.14.2-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Depend on libqt4-sql-sqlite (Closes: #781896, #765084)

 -- Balint Reczey <balint@balintreczey.hu>  Tue, 21 Apr 2015 17:23:58 +0200

baloo (4:4.14.2-1) unstable; urgency=medium

  [ Pino Toscano ]
  * Make baloo-dev depend on libkfilemetadata-dev, as it uses its headers.
    (Closes: #762240)
  * Small improvements to the descriptions. (Closes: #757626, #760023)

  [ Maximiliano Curia ]
  * New upstream release (4.14.2).

 -- Maximiliano Curia <maxy@debian.org>  Mon, 20 Oct 2014 18:54:00 +0200

baloo (4:4.14.1-1) unstable; urgency=medium

  * New upstream release (4.14.1).
  * Merge dh_acc test into testsuite.

 -- Maximiliano Curia <maxy@debian.org>  Wed, 17 Sep 2014 09:44:24 +0200

baloo (4:4.14.0-1) unstable; urgency=medium

  * New upstream release.
  * Update build dependencies.
  * Update symbols files with buildds logs.
  * Update symbols file.

 -- Maximiliano Curia <maxy@debian.org>  Sat, 23 Aug 2014 18:18:14 +0200

baloo (4:4.14.0-0ubuntu1) utopic; urgency=medium

  [ Jonathan Riddell ]
  * New upstream release

  [ Philip Muškovac ]
  * Add a transitional package for baloo > baloo4 as Provides don't take care
    of upgrades
  * Delete obsolete baloo.install

  [ Rohan Garg ]
  * Make baloo-utils a dep of baloo4

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 20 Aug 2014 12:26:11 +0200

baloo (4:4.13.97-0ubuntu3) utopic; urgency=medium

  * Add replaces/breaks for file moved to baloo-dev

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 12 Aug 2014 19:59:34 +0200

baloo (4:4.13.97-0ubuntu2) utopic; urgency=medium

  * Bump replaces version of baloo for new updates

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 12 Aug 2014 19:45:17 +0200

baloo (4:4.13.97-0ubuntu1) utopic; urgency=medium

  [ Scarlett Clark ]
  * New upstream beta release RC

  [ Jonathan Riddell ]
  * Update symbols

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Fri, 01 Aug 2014 16:02:52 +0200

baloo (4:4.13.95-0ubuntu1) utopic; urgency=medium

  [ Scarlett Clark ]
  * New upstream beta release
  * Fix libalooqueryparser install file

  [ Philip Muškovac ]
  * Remove empty arch= selector in libbaloopim4.symbols and
    libbalooxapian4.symbols

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Fri, 25 Jul 2014 06:18:28 -0700

baloo (4:4.13.90-0ubuntu3) utopic; urgency=medium

  * Add missing build-dep on libx11-dev

 -- Jonathan Riddell <jriddell@ubuntu.com>  Sat, 19 Jul 2014 21:40:48 +0200

baloo (4:4.13.90-0ubuntu2) utopic; urgency=medium

  * Add missing .install file

 -- Jonathan Riddell <jriddell@ubuntu.com>  Sat, 19 Jul 2014 21:40:48 +0200

baloo (4:4.13.90-0ubuntu1) utopic; urgency=medium

  * New upstream beta release
  * Added new library libbalooqueryparser
  * Patched symbols with batchpatch
  * Add new library to -dev as depend



=== debian/control ===
Source: baloo-kf5
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.18.0~),
               kio-dev (>= 5.18.0~),
               libkf5auth-dev (>= 5.18.0~),
               libkf5config-dev (>= 5.18.0~),
               libkf5coreaddons-dev (>= 5.18.0~),
               libkf5crash-dev (>= 5.18.0~),
               libkf5dbusaddons-dev (>= 5.18.0~),
               libkf5filemetadata-dev (>= 5.18.0~),
               libkf5i18n-dev (>= 5.18.0~),
               libkf5idletime-dev (>= 5.18.0~),
               libkf5solid-dev (>= 5.18.0~),
               liblmdb-dev,
               libxapian-dev,
               pkg-kde-tools (>= 0.15.18~),
               qtbase5-dev (>= 5.4),
               qtdeclarative5-dev (>= 5.4)
Standards-Version: 3.9.6
Homepage: https://projects.kde.org/projects/frameworks/baloo
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/frameworks/baloo.git
Vcs-Git: git://anonscm.debian.org/pkg-kde/frameworks/baloo.git

Package: baloo-kf5-dev
Section: devel
Architecture: any
Depends: baloo-kf5 (= ${binary:Version}),
         libkf5baloo5 (= ${binary:Version}),
         libkf5balooengine5 (= ${binary:Version}),
         libkf5coreaddons-dev (>= 5.16.0~),
         libkf5filemetadata-dev (>= 5.16.0~),
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: baloo-dev
Replaces: baloo-dev
Description: framework for searching and managing metadata devel files
 A framework for searching and managing metadata in KDE Software.
 .
 Baloo is part of the KDE Plasma desktop.
 .
 This package contains the development files.

Package: libkf5balooengine5
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: libkf5balooengine2 (<< 5.9.3+git20150805)
Replaces: libkf5balooengine2 (<< 5.9.3+git20150805)
Description: framework for searching and managing metadata plugins
 A framework for searching and managing metadata in KDE Software.
 .
 Baloo is part of the KDE Plasma desktop.

Package: baloo-kf5
Section: utils
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: baloo (<< 4:5.0), baloo4, ${kde-l10n:all}
Replaces: baloo (<< 4:5.0), baloo4, ${kde-l10n:all}
Description: framework for searching and managing metadata
 A framework for searching and managing metadata in KDE Software.
 .
 Baloo is part of the KDE Plasma desktop.

Package: libkf5baloo5
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: libkf5baloo1, libkf5baloo2 (<< 5.9.3+git20150805), libkf5balooxapian1
Replaces: libkf5baloo1, libkf5baloo2 (<< 5.9.3+git20150805), libkf5balooxapian1
Description: framework for searching and managing metadata core lib.
 A framework for searching and managing metadata in KDE Software.
 .
 Baloo is part of the KDE Plasma desktop.

Package: baloo-kf5-dbg
Section: debug
Priority: extra
Architecture: any
Recommends: qtbase5-dbg
Depends: baloo-kf5 (= ${binary:Version}), ${misc:Depends}
Description: framework for searching and managing metadata
 A framework for searching and managing metadata in KDE Software.
 .
 Baloo is part of the KDE Plasma desktop.
 .
 This package contains the debugging symbols.

Package: baloo
Section: oldlibs
Priority: extra
Architecture: all
Depends: baloo-kf5 (>= ${source:Upstream-Version}), ${misc:Depends}
Description: transitional package for baloo
 A framework for searching and managing metadata in KDE Software.
 .
 Baloo is part of the KDE Plasma desktop.
 .
 This package can be safely removed.

=== debian/rules ===
--- 
+++ 
@@ -1,14 +1,17 @@
 #!/usr/bin/make -f
 # -*- makefile -*-
 
+l10npkgs_firstversion_ok := 4:4.14.0-2
+
 include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk
+include /usr/share/pkg-kde-tools/qt-kde-team/2/l10n-packages.mk
 
 override_dh_strip:
 	$(overridden_command) --dbg-package=baloo-kf5-dbg
 
 override_dh_auto_test:
-	PYBUILD_TEST_ARGS="export `dbus-launch`"\
-	dh_auto_test
+	# Disable auto tests at build time
+	:
 
 BINARY_VERSION_NO_EPOCH := $(shell dpkg-parsechangelog | grep '^Version: ' | sed 's/^Version: \(\([[:digit:]]\+\):\)\?/\2/')

=== debian/watch ===
version=3
http://download.kde.org/unstable/frameworks/([\d.]+)/baloo-([\d.]+)\.tar\.xz
http://download.kde.org/stable/frameworks/([\d.]+)/baloo-([\d.]+)\.tar\.xz

## baloo-kf5 5.26.0

=== debian/changelog ===
baloo-kf5 (5.26.0-0ubuntu1) yakkety; urgency=low

  * New upstream release (5.26.0)

 -- Rik Mills <rik.mills88@gmail.com>  Thu, 22 Sep 2016 13:39:31 +0100

baloo-kf5 (5.24.0-0ubuntu1) yakkety; urgency=medium

  * New upstream release (5.24.0)

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 26 Jul 2016 08:35:53 +0000

baloo-kf5 (5.23.0-0ubuntu1) yakkety; urgency=medium

  * New upstream release (5.23.0)

 -- Clive Johnston <clivejo@kubuntu.org>  Mon, 11 Jul 2016 22:06:01 +0200

baloo-kf5 (5.22.0-0ubuntu1) yakkety; urgency=medium

  [ Scarlett Clark ]
  * New upstream release.
  * Bump to latest.
  * Merge with debian: No remaining changes.
  * Manual merge. 

  [ Philip Muškovac ]
  * Update the Vcs URLs now that the repositories are hosted on
    Launchpad

  [ Clive Johnston ]
  * New upstream release

 -- Clive Johnston <clivejo@kubuntu.org>  Tue, 17 May 2016 16:03:56 -0700

baloo-kf5 (5.19.0-1) experimental; urgency=medium

  * New upstream release (5.19.0).
  * (Experimental specific) Add qt5-qmltooling-plugins as a build-dep,
    missing dependency of qtdeclarative5-dev

 -- Maximiliano Curia <maxy@debian.org>  Sat, 13 Feb 2016 15:16:40 +0100

baloo-kf5 (5.18.0-1) experimental; urgency=medium

  * New upstream release (5.17.0).
  * New upstream release (5.18.0).

 -- Maximiliano Curia <maxy@debian.org>  Wed, 27 Jan 2016 13:34:40 +0100

=== debian/control ===
--- 
+++ 
@@ -5,17 +5,17 @@
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12),
                debhelper (>= 9),
-               extra-cmake-modules (>= 5.18.0~),
-               kio-dev (>= 5.18.0~),
-               libkf5auth-dev (>= 5.18.0~),
-               libkf5config-dev (>= 5.18.0~),
-               libkf5coreaddons-dev (>= 5.18.0~),
-               libkf5crash-dev (>= 5.18.0~),
-               libkf5dbusaddons-dev (>= 5.18.0~),
-               libkf5filemetadata-dev (>= 5.18.0~),
-               libkf5i18n-dev (>= 5.18.0~),
-               libkf5idletime-dev (>= 5.18.0~),
-               libkf5solid-dev (>= 5.18.0~),
+               extra-cmake-modules (>= 5.26.0~),
+               kio-dev (>= 5.26.0~),
+               libkf5auth-dev (>= 5.26.0~),
+               libkf5config-dev (>= 5.26.0~),
+               libkf5coreaddons-dev (>= 5.26.0~),
+               libkf5crash-dev (>= 5.26.0~),
+               libkf5dbusaddons-dev (>= 5.26.0~),
+               libkf5filemetadata-dev (>= 5.26.0~),
+               libkf5i18n-dev (>= 5.26.0~),
+               libkf5idletime-dev (>= 5.26.0~),
+               libkf5solid-dev (>= 5.26.0~),
                liblmdb-dev,
                libxapian-dev,
                pkg-kde-tools (>= 0.15.18~),
@@ -23,8 +23,8 @@
                qtdeclarative5-dev (>= 5.4)
 Standards-Version: 3.9.6
 Homepage: https://projects.kde.org/projects/frameworks/baloo
-Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/frameworks/baloo.git
-Vcs-Git: git://anonscm.debian.org/pkg-kde/frameworks/baloo.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/baloo
+Vcs-Git: git://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/baloo
 
 Package: baloo-kf5-dev
 Section: devel
@@ -32,8 +32,8 @@
 Depends: baloo-kf5 (= ${binary:Version}),
          libkf5baloo5 (= ${binary:Version}),
          libkf5balooengine5 (= ${binary:Version}),
-         libkf5coreaddons-dev (>= 5.16.0~),
-         libkf5filemetadata-dev (>= 5.16.0~),
+         libkf5coreaddons-dev (>= 5.26.0~),
+         libkf5filemetadata-dev (>= 5.26.0~),
          ${misc:Depends},
          ${shlibs:Depends}
 Breaks: baloo-dev
@@ -78,19 +78,6 @@
  .
  Baloo is part of the KDE Plasma desktop.
 
-Package: baloo-kf5-dbg
-Section: debug
-Priority: extra
-Architecture: any
-Recommends: qtbase5-dbg
-Depends: baloo-kf5 (= ${binary:Version}), ${misc:Depends}
-Description: framework for searching and managing metadata
- A framework for searching and managing metadata in KDE Software.
- .
- Baloo is part of the KDE Plasma desktop.
- .
- This package contains the debugging symbols.
-
 Package: baloo
 Section: oldlibs
 Priority: extra
